"use strict";
// Copyright IBM Corp. and LoopBack contributors 2020. All Rights Reserved.
// Node module: @loopback/example-webpack
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateBundle = exports.assertGreetings = void 0;
const tslib_1 = require("tslib");
const testlab_1 = require("@loopback/testlab");
const events_1 = require("events");
const path_1 = tslib_1.__importDefault(require("path"));
const runShell = require('@loopback/build').runShell;
function assertGreetings(greetings) {
    greetings = greetings.map(g => g.replace(/\[[^\[\]]+\] /, ''));
    (0, testlab_1.expect)(greetings).to.eql([
        '(en) Hello, Jane!',
        'Hello, John!',
        '(zh) 你好，John！',
        '(en) Hello, Jane!',
    ]);
}
exports.assertGreetings = assertGreetings;
function generateBundle(type) {
    const child = runShell('npm', ['run', `build:webpack-${type}`], {
        stdio: 'ignore',
        cwd: path_1.default.join(__dirname, '../../..'),
    });
    return (0, events_1.once)(child, 'close');
}
exports.generateBundle = generateBundle;
//# sourceMappingURL=test-helper.js.map